# Regression and Statistical Inference Toolkit

Welcome to the **reg_stat_inference** toolkit!

This toolkit provides functions for treating multicollinearity and performing feature selection based on p-values in linear regression and logistic regression models. It leverages the `statsmodels` library for model analysis.

## Purpose

The purpose of this toolkit is to offer a collection of Python functions that streamline the process of dealing with multicollinearity and feature selection in regression models. It aims to simplify the analysis of complex datasets by automating tasks like variance inflation factor (VIF) calculation and p-value-based feature removal.

## Usage

To use the toolkit, import the functions in your scripts or notebooks:

```python
from reg_stat_inference import treat_regression_model, treat_multicollinearity, treat_pvalue
```
You can then apply these functions to your dataset to enhance the quality of your regression models.

## Contributing
Contributions are welcome! If you have suggestions, bug reports, or improvements, please open an issue or submit a pull request.